<?php
/**
 * Created by PhpStorm.
 * User: wangzhiqiang
 * Date: 2019/4/24
 * Time: 9:36
 */
namespace App\Http\Controllers;

class ConfigController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function index()
    {
        return [
            //内容类型
            'type' => [
                'image' => '图文',
                'video' => '视频',
                'html' => '富文本',
            ],
            //内容排序
            'sort' => [
                'praise_count' => '点赞数',
                'share_count' => '分享数',
                'pv' => '浏览量',
                'comment_count' => '评论数',
                'create_bean' => '彩虹豆数',
            ],
            //日志类型
            'log_type' => [
                'add_data' => '增加数据',
            ],
            //是否推荐
            'is_suggest' => [
                '1' => '是',
                '0' => '否',
            ],
            //是否隐藏
            'is_hide' => [
                '1' => '是',
                '0' => '否',
            ],
            //是否删除
            'is_delete' => [
                '1' => '是',
                '0' => '否',
            ],
            //是否热门
            'is_hot' => [
                '1' => '是',
                '0' => '否',
            ],
            //是否开启
            'is_open' => [
                '1' => '是',
                '0' => '否',
            ],
            //下载类型
            'download_type' => [
                'post' => '内容',
                'post_waste' => '内容回收站',
                'registered_record' => '新用户注册账本',
                'comment_record' => '评论账本',
                'release_record' => '发布账本',
                'general_record' => '普通/唯一行为账本'
            ],
            //下载状态
            'download_status' => [
                '1' => '生成中',
                '0' => '待处理',
                '2' => '成功',
                '3' => '失败',
            ],
            'topic_status'=>[
                'is_suggest'=>'推荐话题',
                'is_hot'=>'热门话题',
                'is_open'=>'开启',
                'is_close'=>'关闭',
            ],
            'banner_type'=>[
                0=>'纯展示',
                1=>'内容',
                2=>'用户',
                3=>'活动',
                4=>'话题',
            ],
            'floor_type'=>[
                0=>'banner',
                1=>'推荐关注',
                2=>'热门视频',
                3=>'推荐话题',
             ],
            'behavior_status'=>[
                '1' => '已登记行为',
                '0' => '未登记行为'
            ],
            //行为级别
            'behavior_level'=>[
                '1'=>'多级行为',
                '0'=>'唯一/基础行为'
            ],
            //行为周期类型
            'behavior_cycle_type'=>[
                '1'=>'长期',
                '0'=>'普通/短期'
            ],
            //触发类型
            'trigger_type'=>[
                '1'=>'有效触发',
                '0'=>'无效触发'
            ],
            //发放状态
            'release_status'=>[
                '1'=>'正常',
                '0'=>'异常'
            ],
            //行为绑定用户
            'behavior_binding_users'=>[
                0=>'所有用户'
            ]
        ];
    }
}