<?php
namespace App\Transformers\Behavior;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 下午8:59
 */
use App\Models\CommentRecord;
use App\Models\GeneralRecord;
use App\Models\ReleaseRecord;
use League\Fractal\TransformerAbstract;

class GeneralRecordTransformer extends TransformerAbstract
{
    public function transform(GeneralRecord $genaralList)
    {
        return [
            'id' => $genaralList['id'],
            'created_at' => date($genaralList['created_at']),
            'virus_behavior_id' => $genaralList['virus_behavior_id'],
            'uid' => $genaralList['uid'],
            'trigger_time' => $genaralList['trigger_time'],
            'related_content_id' => $genaralList['related_content_id'],
            'content_author_id' => $genaralList['content_author_id'],
            'physical_exertion' => $genaralList['physical_exertion'],
            'trigger_type' => $genaralList['trigger_type'],
            'generation_type' => $genaralList['generation_type'],
            'release_status' => $genaralList['release_status'],
            'generation_quantity' => $genaralList['generation_quantity'],
            'quantity_issued' => $genaralList['quantity_issued'],
            'behavior_cycle_type' => $genaralList->Behavior->behavior_cycle_type,
            'name' => $genaralList->Behavior->name,
            'relative_series' => $genaralList->Behavior->relative_series,
            'is_open' => $genaralList->Behavior->is_open,
            'bahavior_created_at' => date($genaralList->Behavior->created_at),
            'all_trigger_times' => $genaralList['all_trigger_times'],//总触发数
            'all_effective_trigger' => $genaralList['all_effective_trigger'],//有效触发数
            'all_physical_exertion' => $genaralList['physical_exertion'],//总消耗体力值
            'all_generation_quantity' => $genaralList['generation_quantity'],//总生成彩虹豆
            'all_quantity_issued' => $genaralList['quantity_issued'],//总发放彩虹豆
        ];
    }
}