<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ModifyDownloadStatusToTableDownload extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE downloads MODIFY COLUMN download_status TINYINT (4) NOT NULL DEFAULT 0 COMMENT '下载状态：0待处理，1生成中，2成功，3失败'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('download', function (Blueprint $table) {
            //
        });
    }
}
