<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCommentIdToCommentAccountRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('comment_account_record', function (Blueprint $table) {
            $table->integer('current_comment_id')->nullable()->comment('当前评论ID');
            $table->integer('superior_comment_id')->nullable()->comment('上级评论ID');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('comment_account_record', function (Blueprint $table) {
            //
        });
    }
}
