<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddBehaviorValueToGeneralLedgerRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('general_ledger_record', function (Blueprint $table) {
            $table->tinyInteger('behavior_value')->nullable()->comment('行为值:0:未点赞(收藏);1.已点赞(收藏)');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('general_ledger_record', function (Blueprint $table) {
            //
        });
    }
}
