<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateUpperTriggerTimeToCommentAccountRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('comment_account_record', function (Blueprint $table) {
            $table->dateTime('upper_trigger_time')->nullable()->comment('上级评论触发时间')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('comment_account_record', function (Blueprint $table) {
            //
        });
    }
}
