<?php
namespace App\Transformers\Behavior;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/13
 * Time: 下午7:26
 */
use App\Models\BehaviorOperationLog;
use League\Fractal\TransformerAbstract;

class BehaviorLogTransformer extends TransformerAbstract
{
    public function transform(BehaviorOperationLog $logList)
    {
        return [
            'id' => $logList['id'],
            'username' => $logList['username'],
            'behavior_id' => $logList['behavior_id'],
            'operator_id' => $logList['operator_id'],
            'type' => $logList['type'],
            'created_at' => date($logList['created_at']),
            'content' => $logList['content']
        ];
    }
}