<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/11
 * Time: 10:48
 */
namespace App\Transformers;

use App\Models\Download;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class DownloadTransformer extends TransformerAbstract
{
    public function transform(Download $download)
    {
        return [
            'id' => $download['id'],
            'username' => $download['username'],
            'download_type' => $download['download_type'],
            'download_status' => $download['download_status'],
            'url' => $download['url'],
            'created_at' => Carbon::parse($download['created_at'])->toDateTimeString(),
        ];
    }
}