<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateBehavioralCycleStartTimeToBehaviorTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('behavior', function (Blueprint $table) {
            $table->dateTime('behavioral_cycle_start_time')->nullable()->comment('行为时间周期开始时间')->change();
            $table->dateTime('behavioral_cycle_end_time')->nullable()->comment('行为时间周期结束时间')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('behavior', function (Blueprint $table) {
            //
        });
    }
}
